Spring Tools 4.7.1 发布,Spring 开发工具

xplanet
 xplanet
发布于 2020年08月01日
收藏 7

Spring Tools 4.7.1 发布了,更新亮点包括:

  • (Spring Boot)增强:Spring Expression Language 注释的语法检查
  • (Spring Boot)已修复:现已在语言服务器内部难以重现 BadLocationException
  • (Eclipse)新功能:现已提供 Eclipse 2020-09 的早期访问更新站点和发行版(需要运行 JDK11)
  • (Eclipse)改进:旧的 Spring Boot 启动配置现在已自动“修复”,以再次排除测试类
  • (Eclipse)改进:选择文件范围时,新的 Spring Symbols 视图现在工作得更好(还考虑了来自软件包浏览器的选择)
  • (Eclipse)已修复:安装 Papyrus 插件后 STS4 无法启动
  • (Eclipse)已修复:新的 Spring Symbols 视图使用语言服务器时,现在可以正确关闭它
  • (Eclipse)已修复:现在可以仅通过 Spring Tools 4 p2 repo 将 Spring Tools 4 安装到现有的 Eclipse 中——不再需要启用 Eclipse 主更新站点

更新说明:https://spring.io/blog/2020/07/30/spring-tools-4-7-1-released

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Spring Tools 4.7.1 发布,Spring 开发工具
加载中

精彩评论

unsurpassa
unsurpassa
说改idea的,因为idea拒绝支持LSP,所以Spring放弃了。因为idea拒绝支持LSP,一切向钱看齐,导致国外不少人对其有所非议。
haohaiyo
haohaiyo
自从有了STS,再也没用过原版eclipse。
unsurpassa
unsurpassa
有没有大神给eclipse贡献代码,让eclipse能在字符串中提供全类名,方法名,文件名/文件路径的提示。后面还能增加提示html css sql json等语言的提示。就拿本次更新来说,第一点其实应该是在某些注解的字符串属性中提示SpEL表达式,语法检查倒是其次了。
cielSwift
cielSwift
你别再eclipse魔改了。改改idea教育版不香吗
伊人枫
伊人枫
7年前的相拥用eclipse,紧接着下一年换成了myeclipse,再一年换成了sts,最后换成了idea,idea用了3年。:sweat_smile:

最新评论(25

水溶C100
水溶C100
VS Code也有这相插件
水溶C100
水溶C100
一入IDEA深似海,从此eclipse是路人
伊人枫
伊人枫
7年前的相拥用eclipse,紧接着下一年换成了myeclipse,再一年换成了sts,最后换成了idea,idea用了3年。:sweat_smile:
alinker
alinker
再用
yl-yue
yl-yue
还是挺好用的
J
Jason909
之前我在eclipse 2020-06上装不上sts4.7.0,但在装了Eclipse Enterprise Java Developer Tools之后就能装上了
时光很匆忙
时光很匆忙
4.7.0
一共就安装了JRebel、Enhanced Class Decompiler、Subclipse这三个插件。
J
Jason909
有安装 Eclipse Enterprise Java Developer Tools 吗?只安装其必需项也行。
J
Jason909
你eclipse是什么版本?
时光很匆忙
时光很匆忙
为毛你们都能成功:disappointed_relieved:我升级就提示
An error occurred while collecting items to be installed
session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.eclipse.m2e.core,1.16.1.20200710-1008
No repository found containing: osgi.bundle,org.eclipse.m2e.core.ui,1.16.1.20200710-1008
No repository found containing: osgi.bundle,org.eclipse.m2e.editor,1.16.1.20200707-1458
No repository found containing: osgi.bundle,org.eclipse.m2e.editor.xml,1.16.1.20200708-1243
No repository found containing: osgi.bundle,org.springframework.boot.ide.branding,4.7.1.202007271558-RELEASE
No repository found containing: org.eclipse.update.feature,org.eclipse.m2e.feature,1.16.1.20200710-1008
No repository found containing: org.eclipse.update.feature,org.eclipse.m2e.sse.ui.feature,1.16.1.20200708-1243
………………
这种
返回顶部
顶部